# Created by pyp2rpm-3.3.1
%global pypi_name rawkit

Name:           python-%{pypi_name}
Version:        0.6.0
Release:        %mkrel 2
Summary:        CTypes based LibRaw bindings
Group:          Development/Python
License:        MIT
URL:            https://rawkit.readthedocs.org
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pkgconfig(python2)
 
BuildRequires:  pkgconfig(python3)

%description
rawkit (pronounced rocket) is a ctypes-based LibRaw binding for
Python inspired by the Wand API.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
rawkit (pronounced rocket) is a ctypes-based LibRaw binding for
Python inspired by the Wand API.

%prep
%setup -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py2_install
%py3_install

rm -rf %buildroot/usr/lib/python3.10/site-packages/rawkit-0.6.0-py3.10.egg-info

%files
%{python2_sitelib}/libraw
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%{python3_sitelib}/libraw
%{python3_sitelib}/%{pypi_name}

%changelog
* Mon Aug 22 2022 tex - 0.6.0-2pclos2022
- rebuild against updates

* Fri Aug 24 2018 tex 0.6.0-1pclos2018
- new
